Bug 284 - Several files have old DEC Xinerama license that prohibits use & distribution
Summary: Several files have old DEC Xinerama license that prohibits use & distribution
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: unspecified
Hardware: All All
: high blocker
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-07 16:04 UTC by Alan Coopersmith
Modified: 2011-10-15 17:21 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Alan Coopersmith 2004-03-07 16:04:10 UTC
When DEC originally contributed Xinerama to the Open Group for X11R6.4, it
accidentally included the wrong license, and the files have a license notice
that prohibits use or redistribution without the written permission of DEC. 

For X11R6.5.1 Compaq relicensed the files under the standard open source terms
DEC used for it's X contributions.  Unfortunately, the new license terms did
not get propogated to all the files in XFree86, and the old license still
appears in the following files in the current xserver CVS tree on freedesktop.org:

xserver/Xext/panoramiX.h
xserver/dix/dispatch.c
xserver/dix/events.c
xserver/dix/main.c
xserver/dix/window.c
xserver/mi/miregion.c
xserver/mi/mivaltree.c
xserver/miext/rootless/rootlessValTree.c

They should be updated similarly to the updates that are going into the X.org
monolithic CVS trees under bugzilla bug #283.
Comment 1 Rolf Leggewie 2007-01-23 23:26:09 UTC
Has this been fixed?
Comment 2 Alan Coopersmith 2007-01-24 08:56:34 UTC
X.Org fixed this in the official sources a long time ago.   This bug
only refers to the now dead experimental xserver tree.
Comment 3 Rolf Leggewie 2008-01-31 23:52:34 UTC
(In reply to comment #2)
> X.Org fixed this in the official sources a long time ago.   This bug
> only refers to the now dead experimental xserver tree.

Thanks for reporting back.  I guess this then is either wontfix or fixed depending on ones point of view.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.